/****************************************************************
 Project Name: Terminal Tetris
 File Name: blocks.h
 Description:  .

 Created:2004. 12. 22  
 RCS-ID: $Id: blocks.h,v 1.11 2004/06/18 06:28:14 myunggoni Exp $
 Copyright: (c) 2004 by myunggoni
 License: GNU General Public License
 Author: Myung-Gon, Park <myunggoni@users.kldp.net>
 ****************************************************************/

#ifndef BLOCKS_H
#define BLOCKS_H

const char blocks[7][4][4][4] =
{
	{
		{
			{0,0,0,1},		/*     # */
			{0,1,1,1},		/* # # # */
			{0,0,0,0},
			{0,0,0,0}
		},
		{
			{0,1,1,0},		/* # # */
			{0,0,1,0},		/*   # */
			{0,0,1,0},		/*   # */
			{0,0,0,0}
		},
		{
			{0,1,1,1},		/* # # # */
			{0,1,0,0},		/* #     */
			{0,0,0,0},
			{0,0,0,0}
		},
		{
			{0,1,0,0},		/* #   */
			{0,1,0,0},		/* #   */
			{0,1,1,0},		/* # # */
			{0,0,0,0}
		}

	},
	{
		{
			{0,2,0,0},		/* #     */
			{0,2,2,2},		/* # # # */
			{0.0,0,0},
			{0,0,0,0}
		},
		{
			{0,0,2,0},		/* #   */
			{0,0,2,0},		/* #   */
			{0,2,2,0},		/* # # */
			{0,0,0,0}
		},
		{
			{0,2,2,2},		/* # # # */
			{0,0,0,2},		/*     # */
			{0,0,0,0},
			{0,0,0,0}
		},
		{
			{0,0,2,2},		/* # # */
			{0,0,2,0},		/* #   */
			{0,0,2,0},		/* #   */
			{0,0,0,0}
		}


	},
	{
		{
			{0,0,3,0},		/*   #   */
			{0,3,3,3},		/* # # # */
			{0,0,0,0},
			{0,0,0,0}

		},
		{
			{0,0,3,0},		/*   # */
			{0,3,3,0},		/* # # */
			{0,0,3,0},		/*   # */
			{0,0,0,0}
		},
		{
			{0,0,0,0},		/* # # # */
			{0,3,3,3},		/*   #   */
			{0,0,3,0},
			{0,0,0,0}
		},
		{

			{0,0,3,0},		/* #   */
			{0,0,3,3},		/* # # */
			{0,0,3,0},		/* #   */
			{0,0,0,0}
		}
	},
	{
		{
			{0,0,4,4},		/*   # # */
			{0,4,4,0},		/* # #   */
			{0,0,0,0},
			{0,0,0,0}
		},
		{
			{0,4,0,0},		/* #   */
			{0,4,4,0},		/* # # */
			{0,0,4,0},		/*   # */
			{0,0,0,0}
		},
		{
			{0,0,4,4},		/*   # # */
			{0,4,4,0},		/* # #   */
			{0,0,0,0},
			{0,0,0,0}
		},
		{
			{0,4,0,0},		/* #   */
			{0,4,4,0},		/* # # */
			{0,0,4,0},		/*   # */
			{0,0,0,0}
		}
	},
	{
		{
			{0,5,5,0},		/* # #   */
			{0,0,5,5},		/*   # # */
			{0,0,0,0},
			{0,0,0,0}
		},
		{
			{0,0,5,0},		/*   # */
			{0,5,5,0},		/* # # */
			{0,5,0,0},		/* #   */
			{0,0,0,0}
		},
		{
			{0,5,5,0},		/* # #   */
			{0,0,5,5},		/*   # # */
			{0,0,0,0},
			{0,0,0,0}
		},
		{
			{0,0,5,0},		/*   # */
			{0,5,5,0},		/* # # */
			{0,5,0,0},		/* #   */
			{0,0,0,0}
		}
	},
	{
		{
			{0,0,6,6},		/* # # */
			{0,0,6,6},		/* # # */
			{0,0,0,0},
			{0,0,0,0}
		},
		{
			{0,0,6,6},		/* # # */
			{0,0,6,6},		/* # # */
			{0,0,0,0},
			{0,0,0,0}
		},
		{
			{0,0,6,6},		/* # # */
			{0,0,6,6},		/* # # */
			{0,0,0,0},
			{0,0,0,0}
		},
		{
			{0,0,6,6},		/* # # */
			{0,0,6,6},		/* # # */
			{0,0,0,0},
			{0,0,0,0}
		}
	},
	{
		{
			{7,7,7,7},		/* # # # # */
			{0,0,0,0},
			{0,0,0,0},
			{0,0,0,0}
		},
		{
			{0,0,7,0},		/* # */
			{0,0,7,0},		/* # */
			{0,0,7,0},		/* # */
			{0,0,7,0}		/* # */
		},
		{
			{7,7,7,7},		/* # # # # */
			{0,0,0,0},
			{0,0,0,0},
			{0,0,0,0}
		},
		{
			{0,0,7,0},		/* # */
			{0,0,7,0},		/* # */
			{0,0,7,0},		/* # */
			{0,0,7,0}		/* # */
		}
	}
};
#endif /* BLOCKS_H */
